# Generated by Django 2.2.6 on 2019-10-16 19:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bundle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
                ('name', models.SlugField(max_length=255, unique=True)),
                ('weight', models.IntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Field',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
                ('name', models.SlugField(max_length=255)),
                ('weight', models.IntegerField(blank=True, null=True)),
                ('help_text', models.TextField(blank=True, max_length=650)),
                ('required', models.BooleanField(default=False)),
                ('multiple', models.BooleanField(default=False)),
                ('bundle', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='fields', to='dynamicadmin.Bundle')),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_dynamicadmin.field_set+', to='contenttypes.ContentType')),
            ],
            options={
                'unique_together': {('bundle', 'name')},
            },
        ),
        migrations.CreateModel(
            name='TaxonomyDictionary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
                ('name', models.SlugField(max_length=255, unique=True)),
                ('weight', models.IntegerField(blank=True, null=True)),
                ('polymorphic_ctype', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_dynamicadmin.taxonomydictionary_set+', to='contenttypes.ContentType')),
            ],
        ),
        migrations.CreateModel(
            name='CharField',
            fields=[
                ('field_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamicadmin.Field')),
                ('type', models.CharField(default='CharField', editable=False, max_length=255)),
                ('max_length', models.IntegerField(default=255)),
                ('default', models.CharField(blank=True, max_length=255)),
            ],
            options={
                'abstract': False,
            },
            bases=('dynamicadmin.field',),
        ),
        migrations.CreateModel(
            name='DateTimeField',
            fields=[
                ('field_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamicadmin.Field')),
                ('type', models.CharField(default='DateTimeField', editable=False, max_length=255)),
                ('default', models.DateTimeField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
            bases=('dynamicadmin.field',),
        ),
        migrations.CreateModel(
            name='TextField',
            fields=[
                ('field_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamicadmin.Field')),
                ('type', models.CharField(default='TextField', editable=False, max_length=255)),
                ('max_length', models.IntegerField(default=65535)),
                ('default', models.TextField(blank=True, max_length=65535)),
            ],
            options={
                'abstract': False,
            },
            bases=('dynamicadmin.field',),
        ),
        migrations.CreateModel(
            name='URLField',
            fields=[
                ('field_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamicadmin.Field')),
                ('type', models.CharField(default='URLField', editable=False, max_length=255)),
                ('default', models.URLField(blank=True, max_length=255)),
            ],
            options={
                'abstract': False,
            },
            bases=('dynamicadmin.field',),
        ),
        migrations.CreateModel(
            name='TaxonomyTerm',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=255)),
                ('weight', models.IntegerField(blank=True, null=True)),
                ('dictionary', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='terms', to='dynamicadmin.TaxonomyDictionary')),
                ('parent', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to='dynamicadmin.TaxonomyTerm')),
            ],
        ),
        migrations.CreateModel(
            name='TaxonomyDictionaryField',
            fields=[
                ('field_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamicadmin.Field')),
                ('type', models.CharField(default='ForeignKey', editable=False, max_length=255)),
                ('content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='dynamicadmin.TaxonomyDictionary')),
            ],
            options={
                'abstract': False,
            },
            bases=('dynamicadmin.field',),
        ),
    ]
